import React, { useEffect } from 'react';
import { router, Stack } from 'expo-router';
import { WebSocketProvider } from '../contexts/WebSocketContext';

export const unstable_settings = {
  initialRouteName: 'login',
};

export default function App() {
  
  useEffect(() => {
    router.replace('/login');
  }, []);

  return (
    <WebSocketProvider>
      <Stack
        screenOptions={{
          headerShown: false
        }}
      >
        <Stack.Screen name="login" />
      </Stack>
    </WebSocketProvider>
  );
}